Page MenuHomePhabricator

Missing time units for percentile values in "Changesets Statistics (Open Time)" (Time-per-review__gerrit_enrich) widget
Closed, ResolvedPublic

Description

  1. Go to https://wikimedia.biterg.io/app/kibana#/dashboard/Gerrit
  2. See "Changesets Statistics (Open Time)" (Time-per-review__gerrit_enrich) with content:

0.03
50th percentile of timeopen

1.97
75th percentile of timeopen

61.74
95th percentile of timeopen

No small icon at the side hence no explanation what the unit is here. Days maybe?
Could these types of panels or widgets (what's the preferred name?) get an explanation?

80.217%
Percentile rank 4 of "timeopen"

This confuses me: If this is about the 4th percentile (as it says "Percentile rank 4"), what are those 80.217% exactly describing? That 80% of submitted changesets get closed within the first 4 percentiles? If so it would also be good to know what the value of the 4th percentile is. :)
I'd love to know, in order to communicate expectations to new patch contributors in T145425, e.g. "75% of patches contributed in Wikimedia Gerrit get closed within 2 days".

Event Timeline

Aklapper triaged this task as Medium priority.Sep 12 2016, 5:25 PM
Aklapper created this task.
Aklapper updated the task description. (Show Details)

@Dicortazar can you have a look at what Andre reports?

It seems clear we need to polish up these panels. In the meantime, @Dicortazar could you please clarify the data shown in the widget?

In that widget we're counting days.

I've updated the change in upstream, so @Lcanasdiaz you should update the panel in the dashboard.

Aklapper lowered the priority of this task from Medium to Low.Jan 30 2017, 8:45 PM

I've updated the change in upstream, so @Lcanasdiaz you should update the panel in the dashboard.

For the records, this is still an issue... :)
(Any link to the change in upstream?)

This is fixed in the current version in production. The fixed is based on the title of the widget where the keyword 'days' is specified.

@Lcanasdiaz your turn to update the panels.

Aklapper renamed this task from Missing time units for percentile values to Missing time units for percentile values in "Changesets Statistics (Open Time)" (Time-per-review__gerrit_enrich) widget.Jul 21 2017, 10:51 AM

This is fixed in the current version in production.

Was that fix a push to some git repository which could be linked to? (So I can learn how to propose such patches myself?) Bit similar to T151218.

@Lcanasdiaz your turn to update the panels.

Looking forward to that!

Aklapper closed this task as Resolved.Sep 24 2017, 5:53 PM

Item is now called Changesets Statistics (Open Time in Days) hence closing this task. Thanks!

Qgil awarded a token.Sep 26 2017, 9:17 PM